{
  "groups": [
    {
      "name": "qiaoba.datasource",
      "type": "com.qiaoba.common.database.properties.DefaultDataSourceProperties",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    }
  ],
  "properties": [
    {
      "name": "qiaoba.datasource.master",
      "type": "com.qiaoba.common.database.properties.MasterInfo",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.master.driver",
      "type": "java.lang.String",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.master.url",
      "type": "java.lang.String",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.master.username",
      "type": "java.lang.String",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.master.password",
      "type": "java.lang.String",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.master.pool",
      "type": "com.qiaoba.common.database.properties.PoolInfo",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.master.pool.init",
      "type": "java.lang.Integer",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.master.pool.min",
      "type": "java.lang.Integer",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.master.pool.max",
      "type": "java.lang.Integer",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.slaves",
      "type": "java.util.List<com.qiaoba.common.database.properties.SlaveInfo>",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.slaves.url",
      "type": "java.lang.String",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.slaves.username",
      "type": "java.lang.String",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.slaves.password",
      "type": "java.lang.String",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.slaves.weight",
      "type": "java.lang.String",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.slaves.is-use",
      "type": "java.lang.Boolean",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties",
      "defaultValue": true
    },
    {
      "name": "qiaoba.datasource.slaves.pool",
      "type": "com.qiaoba.common.database.properties.PoolInfo",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.slaves.pool.init",
      "type": "java.lang.Integer",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.slaves.pool.min",
      "type": "java.lang.Integer",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    },
    {
      "name": "qiaoba.datasource.slaves.pool.max",
      "type": "java.lang.Integer",
      "sourceType": "com.qiaoba.common.database.properties.DefaultDataSourceProperties"
    }
  ],
  "hints": []
}